summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Eric Fernandes Ferreira2015-04-25 20:30:03 +0200
committer Willy Sudiarto Raharjo2015-04-25 20:30:03 +0200
commitbd3bd2e2e21f994a4d1a2233b491122d5854b910 (patch)
tree2d88d5795d42aaf6246cef62190c3a8f9ed4280b /multimedia
parent726a9a522b23aa86ca509c0c54f08d0e25c974e9 (diff)
downloadslackbuilds-bd3bd2e2e21f994a4d1a2233b491122d5854b910.tar.gz
multimedia/spek: Added (Acoustic Spectrum Analyser).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/spek/README6
-rw-r--r--multimedia/spek/doinst.sh3
-rw-r--r--multimedia/spek/slack-desc19
-rw-r--r--multimedia/spek/spek.SlackBuild100
-rw-r--r--multimedia/spek/spek.info10
5 files changed, 138 insertions, 0 deletions
diff --git a/multimedia/spek/README b/multimedia/spek/README
new file mode 100644
index 0000000000..f47273527a
--- /dev/null
+++ b/multimedia/spek/README
@@ -0,0 +1,6 @@
+spek (Acoustic Spectrum Analyser)
+
+spek is an acoustic spectrum analyser written in C and C++.
+It uses FFmpeg spek: libraries for audio decoding and wxWidgets for the GUI.
+
+Spek is available on *BSD, GNU/Linux, Windows and Mac OS X.
diff --git a/multimedia/spek/doinst.sh b/multimedia/spek/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/multimedia/spek/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/multimedia/spek/slack-desc b/multimedia/spek/slack-desc
new file mode 100644
index 0000000000..75de08bd49
--- /dev/null
+++ b/multimedia/spek/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+spek: Spek (Acoustic Spectrum Analyser)
+spek: Spek is an acoustic spectrum analyser written in C and C++. It uses
+spek: FFmpeg spek: libraries for audio decoding and wxWidgets for the GUI.
+spek:
+spek: Spek is available on *BSD, GNU/Linux, Windows and Mac OS X.
+spek:
+spek: Find out more about Spek on its website: http://spek.cc/
+spek:
+spek:
+spek:
+spek:
diff --git a/multimedia/spek/spek.SlackBuild b/multimedia/spek/spek.SlackBuild
new file mode 100644
index 0000000000..99dbe10578
--- /dev/null
+++ b/multimedia/spek/spek.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for Spek
+# Written by Eric Fernandes Ferreira <candelabrus@gmail.com>
+# Copyright 2015 Eric Fernandes Ferreira, Ponta Grossa - PR, Brazil
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=spek
+VERSION=${VERSION:-0.8.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+rm -rf $PKG/usr/local
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/spek/spek.info b/multimedia/spek/spek.info
new file mode 100644
index 0000000000..d5a75cceea
--- /dev/null
+++ b/multimedia/spek/spek.info
@@ -0,0 +1,10 @@
+PRGNAM="spek"
+VERSION="0.8.2"
+HOMEPAGE="http://spek.cc"
+DOWNLOAD="https://spek.googlecode.com/files/spek-0.8.2.tar.xz"
+MD5SUM="57348e197e800f3f013ea393776b5396"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="wxPython ffmpeg"
+MAINTAINER="Eric Fernandes Ferreira"
+EMAIL="candelabrus@gmail.com"